> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotstuff.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Spot Collateral Withdraw Request

> Send POST request to /exchange, or use the ExchangeClient SDKs.

Withdraw from derivatives collateral balance.


## OpenAPI

````yaml openapi/exchange/collateral-transfers/spot-withdraw.json POST /exchange
openapi: 3.0.3
info:
  title: Hotstuff Exchange API — Spot Collateral Withdraw Request
  version: 1.0.0
servers:
  - url: https://api.hotstuff.trade
  - url: https://testnet-api.hotstuff.trade
security: []
paths:
  /exchange:
    post:
      summary: Spot Collateral Withdraw Request
      operationId: exchangeCollateralTransfersSpotWithdraw
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        collateralId:
                          type: integer
                        amount:
                          type: string
                        chainId:
                          type: integer
                        nonce:
                          type: integer
                      required:
                        - collateralId
                        - amount
                        - chainId
                        - nonce
                    type:
                      type: string
                  required:
                    - data
                    - type
                signature:
                  type: string
                nonce:
                  type: integer
              required:
                - action
                - signature
                - nonce
              example:
                action:
                  data:
                    collateralId: 1
                    amount: '10.0'
                    chainId: 1
                    nonce: 1769690767575
                  type: spotWithdrawRequest
                signature: >-
                  0xb47afcc4a69f62775ef6f799fbbb4309211d9a73ed4f6fa76d078314185265ba...
                nonce: 1769690767575
            examples:
              default:
                summary: Example request
                value:
                  action:
                    data:
                      collateralId: 1
                      amount: '10.0'
                      chainId: 1
                      nonce: 1769690767575
                    type: spotWithdrawRequest
                  signature: >-
                    0xb47afcc4a69f62775ef6f799fbbb4309211d9a73ed4f6fa76d078314185265ba...
                  nonce: 1769690767575
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                  tx_type:
                    type: integer
                  error:
                    type: string
                  data:
                    type: object
                    properties:
                      nonce:
                        type: string
                  address:
                    type: string
              example:
                tx_hash: >-
                  0xb6bae6e422410b695888b611a46a378e74163070b37e5b81b74bbf33aca72af5
                tx_type: 1002
                error: ''
                data:
                  nonce: '12345'
                address: '0xEc6d21B8c1FF6dF523F22c4cf54F077e5F7cAfBf'

````